Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234029 - $: is wrong on x86_64
Summary: $: is wrong on x86_64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 18:18 UTC by Adrian Likins
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 19:38:44 UTC


Attachments (Terms of Use)

Description Adrian Likins 2007-03-26 18:18:21 UTC
Description of problem:

 $: is wrong on x86_64

[root@grimlock service]# ruby -e "puts $:"
/usr/lib/ruby/site_ruby/1.8
/usr/lib/ruby/site_ruby/1.8
/usr/lib/ruby/site_ruby/1.8/x86_64-linux
/usr/lib/ruby/site_ruby
/usr/lib/ruby/site_ruby
/usr/lib64/site_ruby/1.8
/usr/lib64/site_ruby/1.8/x86_64-linux
/usr/lib64/site_ruby
/usr/lib/ruby/1.8
/usr/lib64/ruby/1.8
/usr/lib64/ruby/1.8/x86_64-linux
.

There is no /usr/lib64/ruby/site_ruby/*




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2007-03-29 08:21:08 UTC
Fixed in 1.8.6-2.fc7.

Comment 2 Kevin Fenzi 2007-03-30 19:38:44 UTC
I can confirm that this is fixed in rawhide. 

$ ruby -e "puts $:" | grep /usr/lib64/ruby/site_ruby
/usr/lib64/ruby/site_ruby/1.8
/usr/lib64/ruby/site_ruby/1.8/x86_64-linux
/usr/lib64/ruby/site_ruby

I'm going to go ahead and close this bug now. 
If you spot any further issue with it, feel free to re-open or file a new bug. 

Thanks for the quick fix Akira. 


Note You need to log in before you can comment on or make changes to this bug.